From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libdnet/
Date: Tue, 12 Jan 2021 23:34:16 +0000 (UTC) [thread overview]
Message-ID: <1610494452.bc719dc6a1f6912dcf71efdf2feef7352510b456.sam@gentoo> (raw)
commit: bc719dc6a1f6912dcf71efdf2feef7352510b456
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 12 23:24:46 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 23:34:12 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc719dc6
dev-libs/libdnet: add Python 3.9
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/libdnet/libdnet-1.14-r1.ebuild | 31 +++++++++++++++----------------
dev-libs/libdnet/libdnet-1.14-r2.ebuild | 2 +-
2 files changed, 16 insertions(+), 17 deletions(-)
diff --git a/dev-libs/libdnet/libdnet-1.14-r1.ebuild b/dev-libs/libdnet/libdnet-1.14-r1.ebuild
index 3d34dd00737..58293f3bd05 100644
--- a/dev-libs/libdnet/libdnet-1.14-r1.ebuild
+++ b/dev-libs/libdnet/libdnet-1.14-r1.ebuild
@@ -1,31 +1,30 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
AT_M4DIR="config"
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
DISTUTILS_OPTIONAL=1
inherit autotools distutils-r1
DESCRIPTION="simplified, portable interface to several low-level networking routines"
HOMEPAGE="https://github.com/ofalk/libdnet"
SRC_URI="https://github.com/ofalk/${PN}/archive/${P}.tar.gz"
-LICENSE="LGPL-2"
+S="${WORKDIR}/${PN}-${P}"
+LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
IUSE="python static-libs test"
-
-DEPEND="
- python? ( ${PYTHON_DEPS} )
-"
-RDEPEND="
- ${DEPEND}
-"
-RESTRICT="test"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="test"
+
+DEPEND="python? ( ${PYTHON_DEPS} )"
+RDEPEND="${DEPEND}"
+
DOCS=( README.md THANKS TODO )
-S=${WORKDIR}/${PN}-${P}
+
PATCHES=(
"${FILESDIR}"/${PN}-1.14-ndisc.patch
"${FILESDIR}"/${PN}-1.14-strlcpy.patch
@@ -48,7 +47,7 @@ src_prepare() {
eautoreconf
if use python; then
- cd python
+ cd python || die
distutils-r1_src_prepare
fi
}
@@ -62,7 +61,7 @@ src_configure() {
src_compile() {
default
if use python; then
- cd python
+ cd python || die
distutils-r1_src_compile
fi
}
@@ -70,9 +69,9 @@ src_compile() {
src_install() {
default
if use python; then
- cd python
+ cd python || die
unset DOCS
distutils-r1_src_install
fi
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}
diff --git a/dev-libs/libdnet/libdnet-1.14-r2.ebuild b/dev-libs/libdnet/libdnet-1.14-r2.ebuild
index 2938cfe88b8..f6b3a828e42 100644
--- a/dev-libs/libdnet/libdnet-1.14-r2.ebuild
+++ b/dev-libs/libdnet/libdnet-1.14-r2.ebuild
@@ -4,7 +4,7 @@
EAPI=7
AT_M4DIR="config"
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
DISTUTILS_OPTIONAL=1
inherit autotools distutils-r1
next reply other threads:[~2021-01-12 23:34 UTC|newest]
Thread overview: 68+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-12 23:34 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-23 9:14 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libdnet/ Arthur Zamarin
2024-05-28 12:04 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-12 12:29 Conrad Kostecki
2024-04-29 7:51 Jakov Smolić
2024-04-29 7:51 Jakov Smolić
2024-03-23 20:27 Sam James
2024-03-23 20:25 Arthur Zamarin
2024-03-23 20:24 Arthur Zamarin
2024-03-23 18:11 Sam James
2024-03-08 16:47 Sam James
2024-01-17 5:50 Sam James
2024-01-17 5:47 Sam James
2023-12-14 4:12 Sam James
2023-10-13 15:00 Sam James
2023-09-21 20:11 Sam James
2023-09-08 9:29 Sam James
2023-09-07 20:53 Sam James
2023-06-01 6:43 Sam James
2023-05-05 10:35 Arthur Zamarin
2023-05-02 19:26 Arthur Zamarin
2023-05-02 19:25 Arthur Zamarin
2023-05-02 19:25 Arthur Zamarin
2023-05-02 19:24 Arthur Zamarin
2023-05-02 19:24 Arthur Zamarin
2023-05-01 18:13 Sam James
2023-04-07 11:12 Sam James
2023-03-30 17:25 Arthur Zamarin
2023-03-30 17:23 Arthur Zamarin
2023-03-30 17:23 Arthur Zamarin
2023-03-30 17:23 Arthur Zamarin
2023-03-30 17:21 Arthur Zamarin
2023-03-15 18:44 Arthur Zamarin
2022-05-16 19:57 Sam James
2021-10-27 6:48 Arthur Zamarin
2021-07-16 1:31 Yixun Lan
2021-02-17 23:40 Sam James
2021-02-16 12:34 Sam James
2021-02-12 13:47 Sam James
2021-02-12 9:55 Sam James
2021-02-07 8:59 Sam James
2021-01-07 4:10 Sam James
2021-01-07 4:10 Sam James
2021-01-07 4:10 Sam James
2021-01-07 4:10 Sam James
2020-12-27 5:40 Sam James
2020-10-13 15:49 Michał Górny
2020-10-13 10:01 Agostino Sarubbo
2020-10-11 15:39 Sam James
2020-10-11 9:00 Sergei Trofimovich
2020-10-11 8:57 Sergei Trofimovich
2020-10-10 13:43 Sergei Trofimovich
2020-10-10 8:47 Sergei Trofimovich
2020-09-26 21:34 Sergei Trofimovich
2020-09-26 9:20 Jeroen Roovers
2020-09-24 6:59 Agostino Sarubbo
2020-09-24 6:46 Agostino Sarubbo
2020-09-23 10:32 Agostino Sarubbo
2020-09-23 10:29 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-19 20:53 Sam James
2020-09-10 5:37 Jeroen Roovers
2020-08-02 15:07 Jeroen Roovers
2020-08-02 15:07 Jeroen Roovers
2019-02-16 9:24 Jeroen Roovers
2015-09-01 19:08 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1610494452.bc719dc6a1f6912dcf71efdf2feef7352510b456.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox